Jambi 4.5.2 übersetzen

Alles zum Qt Framework für Java
Antworten
BartSimpson
Beiträge: 1379
Registriert: 6. November 2004 13:03
Kontaktdaten:

Jambi 4.5.2 übersetzen

Beitrag von BartSimpson » 14. August 2009 10:39

Hallo ich wollte Jambi aus den Quellen bauen, leider streikt der compiller mit folgender Meldung:
[make] g++ -c -m64 -pipe -O2 -g -m64 -mtune=generic -Wall -W -D_REENTRANT -fPIC -DQT_QTJAMBI_IMPORT -DQT_NO_DEBUG -DQT_CORE_LIB -I/usr/lib64/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/QtCore -I/usr/include -I../qtjambi -I../common -I/usr/java/default/bin/../include -I/usr/java/default/bin/../include/linux -I. -I. -I. -o qtjambishell_QFutureIterator.o ../cpp/com_trolltech_qt_core/qtjambishell_QFutureIterator.cpp
[make] ../cpp/com_trolltech_qt_core/qtjambishell_QFutureIterator.cpp: In constructor »QtJambiShell_QFutureIterator::QtJambiShell_QFutureIterator()«:
[make] ../cpp/com_trolltech_qt_core/qtjambishell_QFutureIterator.cpp:20: Fehler: keine passende Funktion für Aufruf von »QFutureIterator<JObjectWrapper>::QFutureIterator()«
[make] /usr/include/QtCore/qfuture.h:191: Anmerkung: Kandidaten sind: QFutureIterator<T>::QFutureIterator(const QFuture<T>&) [with T = JObjectWrapper]
[make] /usr/include/QtCore/qfuture.h:191: Anmerkung: QFutureIterator<JObjectWrapper>::QFutureIterator(const QFutureIterator<JObjectWrapper>&)
[make] make[1]: *** [qtjambishell_QFutureIterator.o] Fehler 1
[make] make[1]: Leaving directory `/tmp/qtjambi-src-lgpl-4.5.2_01/qtjambi_core'
[make] make: *** [sub-qtjambi_core-make_default-ordered] Fehler 2
Qt habe ich 4.5.2 installiert.
System: CentOS 5.3 x86_64
JavaSDK : 1.6.16[/quote]

Antworten